#pragma once
#include <libmp/all.h>
#include <stdbool.h>

#include "args.h"
#include "config.h"

typedef bool (*cmd_func_t)(lm_ctx_t *ctx, config_t *config, args_t *args);

typedef struct cmd {
  char      *name;
  char      *desc;
  cmd_func_t func;
} cmd_t;

bool cmd_info(lm_ctx_t *ctx, config_t *config, args_t *args);
bool cmd_sync(lm_ctx_t *ctx, config_t *config, args_t *args);
bool cmd_list(lm_ctx_t *ctx, config_t *config, args_t *args);
bool cmd_install(lm_ctx_t *ctx, config_t *config, args_t *args);
bool cmd_remove(lm_ctx_t *ctx, config_t *config, args_t *args);
bool cmd_update(lm_ctx_t *ctx, config_t *config, args_t *args);
